update openssl to 0.9.8
[openwrt/svn-archive/archive.git] / openwrt / package / openssl / patches / 120-makedepend.patch
1 diff -ruN openssl-0.9.7g-old/util/domd openssl-0.9.7g-new/util/domd
2 --- openssl-0.9.7g-old/util/domd 2004-05-11 14:46:18.000000000 +0200
3 +++ openssl-0.9.7g-new/util/domd 2005-05-30 20:20:04.000000000 +0200
4 @@ -1,4 +1,4 @@
5 -#!/bin/sh
6 +#!/bin/bash
7 # Do a makedepend, only leave out the standard headers
8 # Written by Ben Laurie <ben@algroup.co.uk> 19 Jan 1999
9
10 @@ -14,7 +14,8 @@
11 cp Makefile Makefile.save
12 # fake the presence of Kerberos
13 touch $TOP/krb5.h
14 -if [ "$MAKEDEPEND" = "gcc" ]; then
15 +D=${MAKEDEPEND/%*gcc/gcc}
16 +if [ "$D" = "gcc" ]; then
17 args=""
18 while [ $# -gt 0 ]; do
19 if [ "$1" != "--" ]; then args="$args $1"; fi
20 @@ -22,7 +23,7 @@
21 done
22 sed -e '/^# DO NOT DELETE.*/,$d' < Makefile > Makefile.tmp
23 echo '# DO NOT DELETE THIS LINE -- make depend depends on it.' >> Makefile.tmp
24 - gcc -D OPENSSL_DOING_MAKEDEPEND -M $args >> Makefile.tmp
25 + ${MAKEDEPEND} -D OPENSSL_DOING_MAKEDEPEND -M $args >> Makefile.tmp
26 ${PERL} $TOP/util/clean-depend.pl < Makefile.tmp > Makefile.new
27 rm -f Makefile.tmp
28 else